# QPrintPreviewWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QPrintPreviewWidget(QPrinter printer, QWidget parent, WindowFlags flags)
- void QPrintPreviewWidget(QWidget parent, WindowFlags flags)

### Constructor Properties

- prototype: The QPrintPreviewWidget prototype object
- CustomZoom
- FitToWidth
- FitInView
- ZoomMode( value )
- SinglePageView
- FacingPagesView
- AllPagesView
- ViewMode( value )

### Prototype Object Properties

The QPrintPreviewWidget prototype object inherits properties from the QWidget prototype object and also has the following properties.

- int currentPage()
- int numPages()
- Orientation orientation()
- int pageCount()
- void setVisible(bool visible)
- ViewMode viewMode()
- qreal zoomFactor()
- ZoomMode zoomMode()

### Instance Properties

QPrintPreviewWidget objects have no special properties beyond those inherited from the QPrintPreviewWidget prototype object.